Bug 1000039 - Change multi-monitor setting in VM Console option dialog
Change multi-monitor setting in VM Console option dialog
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Shahar Havivi
Dušan Kajan
virt
:
Depends On: 1009057 1009391
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 10:36 EDT by Andrew Cathrow
Modified: 2017-07-31 07:29 EDT (History)
12 users (show)

See Also:
Fixed In Version: is14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18736 None None None Never

  None (edit)
Description Andrew Cathrow 2013-08-22 10:36:18 EDT
We need to change the multi-monitor option in the UI.

Today it has a checkbox called "Single PCI" that is defaulted to off.

We should default to single PCI.
Comment 1 Itamar Heim 2013-08-22 20:58:04 EDT
for linux guests, right?
Comment 2 Andrew Cathrow 2013-08-23 07:44:11 EDT
(In reply to Itamar Heim from comment #1)
> for linux guests, right?

This option is available for Linux 

Seting need info on David and Paul for their thoughts.
On one hand I'd like us to be consistent, on the other hand this could be something we aren't checking on Windows.

At the very least the default on Linux should be changed.
Comment 3 Marian Krcmarik 2013-08-28 08:36:10 EDT
(In reply to Andrew Cathrow from comment #2)
> (In reply to Itamar Heim from comment #1)
> > for linux guests, right?
> 
> This option is available for Linux 
> 
> Seting need info on David and Paul for their thoughts.
> On one hand I'd like us to be consistent, on the other hand this could be
> something we aren't checking on Windows.
> 
> At the very least the default on Linux should be changed.

Multimonitor on Windows guests still requires multiple qxl devices while as already stated Linux native (managed by xrandr) multimonitor requires only single pci (according to our testing Linux native multimonitor (not with using xinerama) may even misbehave with multiple QXL devices assigned to guest so yes, single PCI should be default for Linux guests for sure and only. 

(We can even think about making it hardcoded for Linux guests If we assume that customers will not want to use multiple qxl devices managed by Xinerama extension. Maybe for 4.0?)
Comment 4 Shahar Havivi 2013-09-01 04:17:59 EDT
patch send for default QXL to true:
http://gerrit.ovirt.org/#/c/18736/
Comment 7 Dušan Kajan 2013-09-18 06:33:57 EDT
verified on is15, although there are issues with creating linux VM in 3.2 compatible cluster, will open new bug for it
Comment 8 Itamar Heim 2014-01-21 17:24:31 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:25:21 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:28:54 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.